Subject: bug#58808: map-y-or-n-p should use read-key, not read-event

From: Jeremy Bryant <[email-masked]>
Date: Wed, 08 Feb 2023 22:51:11 +0000

Stefan Monnier <[email-masked]> writes:
Hi Stefan,

In order to work on this, please could you confirm the suggested change
below from October is still the recommended one, to work on a patch
along the lines below?

Jeremy

>>> I found that map-y-or-n-p uses read-event, not read-key (still the
>>> case in master as of 2022-10-27).  Will you accept a patch if I try
>>> to rewrite it?
> [...]
>> Isn't there some translation map that could help you?
>
> No, `read-event` is the low-level function that gives access to the
> actual untranslated events.  I think `map-y-or-n-p` should be changed
> similarly to `y-or-n-p` to use either `read-key` or the minibuffer
> (probably obeying `y-or-n-p-use-read-key`).
>
>
>         Stefan